Last Comment Bug 769671 - java.lang.NoSuchMethodError: java.io.IOException.<init> at org.mozilla.gecko.sync.net.BaseResource.execute(BaseResource.java) on Froyo
: java.lang.NoSuchMethodError: java.io.IOException.<init> at org.mozilla.gecko....
Status: RESOLVED FIXED
[native-crash][sync]
: crash
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: ARM Android
: -- critical
: mozilla17
Assigned To: Nick Alexander :nalexander
:
:
Mentors:
https://github.com/mozilla-services/a...
: 784084 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 08:07 PDT by Scoobidiver (away)
Modified: 2013-04-04 13:48 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed


Attachments
Patch against m-i (1.29 KB, patch)
2012-08-22 10:00 PDT, Nick Alexander :nalexander
rnewman: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description Scoobidiver (away) 2012-06-29 08:07:34 PDT
It's #58 top crasher in 14.0.
There are 2 crashes in 14.0b8 and 59 crashes in 14.0, including bp-0e80380d-a9d5-4054-8888-625b02120629.

java.lang.NoSuchMethodError: java.io.IOException.<init>
	at org.mozilla.gecko.sync.net.BaseResource.execute(BaseResource.java:264)
	at org.mozilla.gecko.sync.net.BaseResource.retryRequest(BaseResource.java:275)
	at org.mozilla.gecko.sync.net.BaseResource.execute(BaseResource.java:258)
	at org.mozilla.gecko.sync.net.BaseResource.go(BaseResource.java:299)
	at org.mozilla.gecko.sync.net.BaseResource.post(BaseResource.java:319)
	at org.mozilla.gecko.sync.net.SyncStorageRequest.post(SyncStorageRequest.java:170)
	at org.mozilla.gecko.sync.repositories.Server11RepositorySession$RecordUploadRunnable.run(Server11RepositorySession.java:607)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1068)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:561)
	at java.lang.Thread.run(Thread.java:1096)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NoSuchMethodError%3A+java.io.IOException.%3Cinit%3E+at+org.mozilla.gecko.sync.net.BaseResource.execute%28BaseResource.java%29
Comment 1 Jeff Hammel 2012-08-20 21:09:58 PDT
*** Bug 784084 has been marked as a duplicate of this bug. ***
Comment 2 Nick Alexander :nalexander 2012-08-21 17:41:48 PDT
Ah, Android.  That constructor wasn't added until API level 9, per http://stackoverflow.com/a/8546380 and http://developer.android.com/intl/zh-CN/reference/java/io/IOException.html#IOException%28java.lang.Throwable%29

Let us try to work around it.
Comment 3 Nick Alexander :nalexander 2012-08-21 17:46:32 PDT
(In reply to Nick Alexander :nalexander from comment #2)
> Ah, Android.  That constructor wasn't added until API level 9, ...

Further: a fly-by of reports suggest all devices were running 2.2/Froyo/API level 8.
Comment 4 Jeff Hammel 2012-08-21 20:32:39 PDT
(In reply to Nick Alexander :nalexander from comment #3)
> (In reply to Nick Alexander :nalexander from comment #2)
> > Ah, Android.  That constructor wasn't added until API level 9, ...
> 
> Further: a fly-by of reports suggest all devices were running 2.2/Froyo/API
> level 8.

I for one was certainly running 2.2
Comment 5 Nick Alexander :nalexander 2012-08-22 09:56:29 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/91cba558c70c
Comment 6 Nick Alexander :nalexander 2012-08-22 10:00:25 PDT
Created attachment 654248 [details] [diff] [review]
Patch against m-i

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 769671.
User impact if declined: continued crashes with signature of this bug.
Testing completed (on m-c, etc.): compiles on m-i; very difficult to test.
Risk to taking this patch (and alternatives if risky): none.  Crash is caused by Java initializer not being present in Android API level < 9; this trivial patch just avoids using that particular initializer.  If this patch is wrong, we'll just see similar crash reports on the same code path (possibly for more API versions).
String or UUID changes made by this patch: none.
Comment 7 Ed Morley [:emorley] 2012-08-23 03:50:18 PDT
https://hg.mozilla.org/mozilla-central/rev/91cba558c70c
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-23 10:55:44 PDT
Comment on attachment 654248 [details] [diff] [review]
Patch against m-i

Too late in the 15 cycle to take for beta, but uplift to Aurora in the next couple of days before that becomes Beta 16.
Comment 9 Nick Alexander :nalexander 2012-08-23 15:22:03 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/1fed79eac734

Note You need to log in before you can comment on or make changes to this bug.